pub mod ast;
mod atoms;
mod forge_script;
#[cfg(test)]
mod test_suite;

pub(crate) mod forge_grammar;

pub use atoms::TokenSlice;

pub fn slice<'a>(toks: &'a [crate::lexer::ScriptToken]) -> TokenSlice<'a> {
	TokenSlice(toks)
}

pub use forge_script::parse_expression;
pub use forge_script::parse_program;
